"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var enhanced_generic_component_1 = require("./enhanced-generic.component");
var BasicComponent = /** @class */ (function (_super) {
    __extends(BasicComponent, _super);
    function BasicComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [05.05.2020]
     * @returns {JSX.Element}
     */
    BasicComponent.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", { ref: this.actualRef, style: props.style, className: util_1.calc(props.className) }, props.children));
    };
    return BasicComponent;
}(enhanced_generic_component_1.EnhancedGenericComponent));
exports.BasicComponent = BasicComponent;
//# sourceMappingURL=basic.component.js.map