"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var universal_connector_mapper_1 = require("./universal-connector.mapper");
exports.layoutMapper = function (state) { return ({
    layout: __assign({}, state.layout),
}); };
exports.notificationMapper = function (state) { return ({
    notification: __assign({}, state.notification),
}); };
exports.channelMapper = function (state) { return ({
    channel: __assign({}, state.channel),
}); };
/**
 * @stable [18.09.2018]
 * @param {IReduxHolderStackEntity} state
 * @returns {IReduxHolderStackEntity}
 */
exports.stackMapper = function (state) { return ({
    stack: __assign({}, state.stack),
}); };
/**
 * TODO Use mapStoreEntity
 * @deprecated
 */
exports.defaultMappers = universal_connector_mapper_1.universalDefaultMappers.concat([
    exports.stackMapper,
    exports.layoutMapper,
    exports.notificationMapper,
    exports.channelMapper
]);
//# sourceMappingURL=connector.mapper.js.map