import { IExpandedAllGroupsWrapper, IExpandedGroupsWrapper, IFilterChangesWrapper, IGridConfigurationWrapper, IKeyValue } from '../../definitions.interface';
import { IContainerProps, IListEntity, IGridProps } from '../../definition';
/**
 * @stable [10.09.2018]
 */
export interface ITimeGridBuilderConfigEntity {
    hourFrom?: number;
    hourTo?: number;
    cellWidthFactor?: number;
    minPeriodAtMinutes?: number;
    timeResolver?: (hour: number, isBeforeNoon?: boolean) => number;
    timeAbbreviationResolver?: (isBeforeNoon?: boolean) => string;
}
export interface IGridContainerProps extends IContainerProps, IListEntity, IGridConfigurationWrapper<IGridProps> {
}
export interface IGridState extends IFilterChangesWrapper, IExpandedGroupsWrapper<IKeyValue>, IExpandedAllGroupsWrapper {
}
