"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var universal_list_component_1 = require("./universal-list.component");
var info_1 = require("../info");
var util_1 = require("../../util");
var BaseList = /** @class */ (function (_super) {
    __extends(BaseList, _super);
    function BaseList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [09.06.2018]
     * @returns {JSX.Element}
     */
    BaseList.prototype.getMessage = function () {
        var _a = this.props, emptyDataMessage = _a.emptyDataMessage, emptyMessage = _a.emptyMessage, error = _a.error, progress = _a.progress;
        var emptyData = this.emptyData;
        return (React.createElement(info_1.Info, { error: error, message: emptyMessage, progress: progress, emptyData: emptyData ? util_1.nvl(emptyDataMessage, emptyData) : emptyData }));
    };
    return BaseList;
}(universal_list_component_1.UniversalList));
exports.BaseList = BaseList;
//# sourceMappingURL=base-list.component.js.map