/// <reference types="react" />
import { GenericBaseComponent } from '../../base/generic-base.component';
import { IListItemProps } from '../../../definition';
export declare class ListItem extends GenericBaseComponent<IListItemProps> {
    /**
     * @stable [04.05.2020]
     * @param {IListItemProps} props
     */
    constructor(props: IListItemProps);
    /**
     * @stable [23.09.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [04.05.2020]
     * @param {ISelectedElementClassNameWrapper} context
     * @returns {React.DetailedHTMLProps<React.HTMLAttributes<HTMLLIElement>, HTMLLIElement>}
     */
    private getItemProps;
    /**
     * @stable [27.10.2019]
     */
    private onClick;
    /**
     * @stable [12.02.2020]
     * @returns {JSX.Element}
     */
    private readonly iconElement;
    /**
     * @stable [04.05.2020]
     * @returns {IListItemProps}
     */
    private readonly mergedProps;
}
