/// <reference types="react" />
import { BaseList } from './base-list.component';
import { BasicList } from './basic';
import { IEntity } from '../../definitions.interface';
import { IListProps } from '../../definition';
export declare class List extends BaseList<IListProps, {}, BasicList> {
    /**
     * @stable [04.05.2020]
     * @returns {JSX.Element}
     */
    protected getView(): JSX.Element;
    /**
     * @stable [13.09.2018]
     * @param {IEntity} entity
     * @param {number} index
     * @returns {JSX.Element}
     */
    protected getItem(entity: IEntity, index: number): JSX.Element;
}
