"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var tab_panel_container_1 = require("../tab-panel.container");
/**
 * @component-container-impl
 * @stable [09.05.2020]
 *
 * Please use the "Mappers.formTabPanelContainerProps"
 */
var FormTabPanelContainer = /** @class */ (function (_super) {
    __extends(FormTabPanelContainer, _super);
    function FormTabPanelContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    FormTabPanelContainer.prototype.dispatchActiveValue = function (value) {
        this.formStoreProxy.dispatchFormActiveValue(value);
    };
    /**
     * @stable [12.04.2020]
     * @param {number} value
     */
    FormTabPanelContainer.prototype.dispatchInactiveValue = function (value) {
        this.formStoreProxy.dispatchFormInactiveValue(value);
    };
    Object.defineProperty(FormTabPanelContainer.prototype, "activeValueEntity", {
        /**
         * @stable [12.04.2020]
         * @returns {IReduxActiveValueEntity}
         */
        get: function () {
            return this.props.form;
        },
        enumerable: true,
        configurable: true
    });
    return FormTabPanelContainer;
}(tab_panel_container_1.TabPanelContainer));
exports.FormTabPanelContainer = FormTabPanelContainer;
//# sourceMappingURL=form-tab-panel.container.js.map