/// <reference types="react" />
import { IPageToolbarProps } from '../../../definition';
import { GenericComponent } from '../../base/generic.component';
/**
 * @component-impl
 * @stable [12.05.2020]
 *
 * Please use the "Mappers.pageToolbarProps"
 */
export declare class PageToolbar extends GenericComponent<IPageToolbarProps> {
    static readonly defaultProps: IPageToolbarProps;
    /**
     * @stable [05.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [05.05.2020]
     * @returns {JSX.Element}
     */
    private readonly pagesElement;
    /**
     * @stable [05.05.2020]
     * @returns {JSX.Element}
     */
    private readonly bodyElement;
    /**
     * @stable [05.05.2020]
     * @returns {JSX.Element}
     */
    private readonly actionsElement;
    /**
     * @stable [05.05.2020]
     * @returns {string}
     */
    private readonly pagesInfo;
    /**
     * @stable [05.05.2020]
     * @returns {boolean}
     */
    private readonly isToolbarVisible;
    /**
     * @stable [05.05.2020]
     * @returns {boolean}
     */
    private readonly isPreviousActionDisabled;
    /**
     * @stable [05.05.2020]
     * @returns {boolean}
     */
    private readonly isNextActionDisabled;
    /**
     * @stable [05.05.2020]
     * @returns {number}
     */
    private readonly toNumber;
    /**
     * @stable [05.05.2020]
     * @returns {number}
     */
    private readonly fromNumber;
    /**
     * @stable [12.05.2020]
     * @returns {boolean}
     */
    private readonly areActionsUsed;
}
