/// <reference types="react" />
import { GenericContainer } from '../../base/generic.container';
import { ISearchToolbarContainerProps } from '../../../definition';
/**
 * @component-container-impl
 * @stable [06.05.2020]
 *
 * Please use the "Mappers.searchToolbarContainerProps"
 */
export declare class SearchToolbarContainer extends GenericContainer<ISearchToolbarContainerProps> {
    /**
     * @stable [27.04.2020]
     * @param {ISearchToolbarContainerProps} props
     */
    constructor(props: ISearchToolbarContainerProps);
    /**
     * @stable [06.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [27.04.2020]
     */
    private onApply;
    /**
     * @stable [27.04.2020]
     */
    private onActivate;
    /**
     * @stable [27.04.2020]
     */
    private onDeactivate;
    /**
     * @stable [27.04.2020]
     * @param {string} query
     */
    private onChange;
    /**
     * @stable [06.05.2020]
     * @returns {ISearchToolbarProps}
     */
    private readonly toolbarConfiguration;
}
