/**
 * @stable [17.05.2020]
 */
export declare class DefaultEntities {
    static readonly COMPONENTS_SETTINGS_ENTITY: Readonly<import("core/definition/settings-definition.interface").IComponentsSettingsEntity>;
    static readonly DOM_RIGHT_POSITION_CONFIG_ENTITY: Readonly<import("core/definition/dom-definition.interface").IDomPositionConfigEntity<HTMLElement>>;
    static readonly INITIAL_REDUX_STACK_ENTITY: Readonly<import("core/definition/stack-definition.interface").IReduxStackEntity>;
    static readonly NOT_SELECTABLE_LIST_ENTITY: Readonly<import("core/definition/list-definition.interface").IPresetsListEntity>;
    static readonly PLACE_FIELD_ENTITY: Readonly<import("core/definition/place-definition.interface").IPlaceFieldProps>;
    static readonly QUICK_SEARCH_FIELD_ENTITY: Readonly<import("core/component/field/select/base-select.interface").IBaseSelectProps>;
    static readonly ROOT_SECTION: string;
    static readonly ZIP_CODE_FIELD_ENTITY: Readonly<import("core/definition/place-definition.interface").IPlaceFieldProps>;
}
