"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _a;
/**
 * @enum
 * @stable [08.05.2020]
 */
var LayoutModesEnum;
(function (LayoutModesEnum) {
    LayoutModesEnum[LayoutModesEnum["FULL"] = 0] = "FULL";
    LayoutModesEnum[LayoutModesEnum["MINIMAL"] = 1] = "MINIMAL";
})(LayoutModesEnum = exports.LayoutModesEnum || (exports.LayoutModesEnum = {}));
/**
 * @enum
 * @stable [28.09.2019]
 */
var LayoutGroupsValuesEnum;
(function (LayoutGroupsValuesEnum) {
    LayoutGroupsValuesEnum["HOME"] = "home";
})(LayoutGroupsValuesEnum = exports.LayoutGroupsValuesEnum || (exports.LayoutGroupsValuesEnum = {}));
/**
 * @initial-redux-entity
 * @stable [08.05.2020]
 */
exports.INITIAL_REDUX_LAYOUT_ENTITY = Object.freeze({
    expandedGroups: (_a = {}, _a[LayoutGroupsValuesEnum.HOME] = true, _a),
    mode: LayoutModesEnum.FULL,
    x: 0,
    y: 0,
});
/**
 * @classes
 * @stable [08.05.2020]
 */
var LayoutClassesEnum;
(function (LayoutClassesEnum) {
    LayoutClassesEnum["FORM_LAYOUT"] = "rac-form-layout";
    LayoutClassesEnum["FORM_LAYOUT_CONTENT"] = "rac-form-layout__content";
    LayoutClassesEnum["FORM_LAYOUT_TOP_HEADER"] = "rac-form-layout__top-header";
})(LayoutClassesEnum = exports.LayoutClassesEnum || (exports.LayoutClassesEnum = {}));
/**
 * @classes
 * @stable [20.05.2020]
 */
var DefaultLayoutClassesEnum;
(function (DefaultLayoutClassesEnum) {
    DefaultLayoutClassesEnum["DEFAULT_LAYOUT"] = "rac-default-layout";
    DefaultLayoutClassesEnum["DEFAULT_LAYOUT_BODY"] = "rac-default-layout__body";
    DefaultLayoutClassesEnum["DEFAULT_LAYOUT_DRAWER_HEADER"] = "rac-default-layout__drawer-header";
    DefaultLayoutClassesEnum["DEFAULT_LAYOUT_FULL"] = "rac-default-layout-full";
    DefaultLayoutClassesEnum["DEFAULT_LAYOUT_MINI"] = "rac-default-layout-mini";
})(DefaultLayoutClassesEnum = exports.DefaultLayoutClassesEnum || (exports.DefaultLayoutClassesEnum = {}));
//# sourceMappingURL=layout-definition.interface.js.map