import { IErrorWrapper, IInfoWrapper, INotificationWrapper } from '../definitions.interface';
/**
 * @generic-entity
 * @stable [24.09.2019]
 */
export interface IGenericNotificationEntity extends IErrorWrapper<string>, IInfoWrapper {
}
/**
 * @wrapper-entity
 * @stable [24.09.2019]
 */
export interface INotificationWrapperEntity<TEntity = IGenericNotificationEntity> extends INotificationWrapper<TEntity> {
}
/**
 * @initial-entity
 * @stable [24.09.2019]
 */
export declare const INITIAL_NOTIFICATION_ENTITY: Readonly<IGenericNotificationEntity>;
/**
 * @stable [13.02.2020]
 */
export declare const $RAC_NOTIFICATION_INFO_ACTION_TYPE: string;
export declare const $RAC_NOTIFICATION_ERROR_ACTION_TYPE: string;
export declare const $RAC_NOTIFICATION_CLEAR_ACTION_TYPE: string;
