import { AnyAction, Reducer } from 'redux';
import { IChannelWrapper } from '../definitions.interface';
import { IGenericChannelsEntity } from '../definition';
/**
 * @stable [21.05.2018]
 * @param {IGenericChannelsEntity} state
 * @param {AnyAction} action
 * @returns {IGenericChannelsEntity}
 */
export declare function channelReducer(state: IGenericChannelsEntity, action: AnyAction): IGenericChannelsEntity;
/**
 * @stable [21.05.2018]
 */
export declare const channelsReducers: IChannelWrapper<Reducer<{}>>;
