"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var definition_1 = require("../../definition");
var list_1 = require("../list");
var card_1 = require("./card");
var CardList = /** @class */ (function (_super) {
    __extends(CardList, _super);
    function CardList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [04.05.2020]
     * @returns {JSX.Element}
     */
    CardList.prototype.getView = function () {
        var props = this.props;
        return (React.createElement("div", { ref: this.actualRef, className: util_1.joinClassName(definition_1.ListClassesEnum.LIST, definition_1.ListClassesEnum.CARD_LIST, util_1.isFull(props) && definition_1.ListClassesEnum.FULL_LIST, props.className) }, this.dataSource.map(this.getItem, this)));
    };
    /**
     * @stable [04.05.2020]
     * @param {IEntity} entity
     * @param {number} index
     * @returns {JSX.Element}
     */
    CardList.prototype.getItem = function (entity, index) {
        var _a = this.props, onSelect = _a.onSelect, _b = _a.itemConfiguration, itemConfiguration = _b === void 0 ? {} : _b;
        return (React.createElement(card_1.Card, { key: this.toRowKey(entity), className: util_1.joinClassName(definition_1.ListClassesEnum.LIST_ITEM, "rac-list-item-" + index, util_1.calc(itemConfiguration.className, entity)), onClick: onSelect }, itemConfiguration.renderer(entity)));
    };
    return CardList;
}(list_1.BaseList));
exports.CardList = CardList;
//# sourceMappingURL=card-list.component.js.map