"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var generic_base_component_1 = require("../../base/generic-base.component");
var definition_1 = require("../../../definition");
var Card = /** @class */ (function (_super) {
    __extends(Card, _super);
    function Card() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [03.05.2020]
     * @returns {JSX.Element}
     */
    Card.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", __assign({ ref: this.selfRef, className: util_1.joinClassName(definition_1.ListClassesEnum.CARD, util_1.calc(props.className)) }, util_1.handlerPropsFactory(props.onClick, true, false)), props.children));
    };
    return Card;
}(generic_base_component_1.GenericBaseComponent));
exports.Card = Card;
//# sourceMappingURL=card.component.js.map