import { IChannelWrapperEntity, IDictionariesEntity, IReduxHolderLayoutEntity, INotificationWrapperEntity, IReduxHolderStackEntity, ITransportWrapperEntity, IReduxHolderUserEntity } from '../../definition';
export declare const layoutMapper: (state: IReduxHolderLayoutEntity<import("core/definition/layout-definition.interface").IReduxLayoutEntity>) => IReduxHolderLayoutEntity<import("core/definition/layout-definition.interface").IReduxLayoutEntity>;
export declare const notificationMapper: (state: INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>) => INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>;
export declare const channelMapper: (state: IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>) => IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>;
/**
 * @stable [18.09.2018]
 * @param {IReduxHolderStackEntity} state
 * @returns {IReduxHolderStackEntity}
 */
export declare const stackMapper: (state: IReduxHolderStackEntity<import("core/definition/stack-definition.interface").IReduxStackEntity>) => IReduxHolderStackEntity<import("core/definition/stack-definition.interface").IReduxStackEntity>;
/**
 * TODO Use mapStoreEntity
 * @deprecated
 */
export declare const defaultMappers: ((<TEntity = import("core/definition/user-definition.interface").IReduxUserEntity>(wrapper: IReduxHolderUserEntity<TEntity>) => IReduxHolderUserEntity<TEntity>) | (<TTransport = import("core/definition/transport-definition.interface").ITransportEntity>(wrapper: ITransportWrapperEntity<TTransport>) => ITransportWrapperEntity<TTransport>) | (<TDictionaries = import("core/definition/dictionary-definition.interface").IReduxDictionariesEntity>(wrapper: IDictionariesEntity<TDictionaries>) => IDictionariesEntity<TDictionaries>) | ((state: IReduxHolderLayoutEntity<import("core/definition/layout-definition.interface").IReduxLayoutEntity>) => IReduxHolderLayoutEntity<import("core/definition/layout-definition.interface").IReduxLayoutEntity>) | ((state: INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>) => INotificationWrapperEntity<import("core/definition/notification-definition.interface").IGenericNotificationEntity>) | ((state: IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>) => IChannelWrapperEntity<import("core/definition/channel-definition.interface").IGenericChannelsEntity>) | ((state: IReduxHolderStackEntity<import("core/definition/stack-definition.interface").IReduxStackEntity>) => IReduxHolderStackEntity<import("core/definition/stack-definition.interface").IReduxStackEntity>))[];
