"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var generic_component_1 = require("../base/generic.component");
var definition_1 = require("../../definition");
var Drawer = /** @class */ (function (_super) {
    __extends(Drawer, _super);
    function Drawer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [23.12.2019]
     * @returns {JSX.Element}
     */
    Drawer.prototype.render = function () {
        var mergedProps = this.mergedProps;
        return (React.createElement("div", { ref: this.actualRef, className: util_1.joinClassName(definition_1.DrawerClassesEnum.DRAWER, mergedProps.mini && definition_1.DrawerClassesEnum.DRAWER_MINI, util_1.calc(mergedProps.className)) }, this.props.children));
    };
    Object.defineProperty(Drawer.prototype, "mergedProps", {
        /**
         * @stable [14.05.2020]
         * @returns {IDrawerProps}
         */
        get: function () {
            return util_1.mergeWithSystemProps(this.props, this.settings.components.drawer);
        },
        enumerable: true,
        configurable: true
    });
    return Drawer;
}(generic_component_1.GenericComponent));
exports.Drawer = Drawer;
//# sourceMappingURL=drawer.component.js.map