/// <reference types="react" />
import { GenericBaseComponent } from '../../base/generic-base.component';
import { IGridRowProps } from '../../../definition';
export declare class GridRow extends GenericBaseComponent<IGridRowProps> {
    /**
     * @stable [23.10.2019]
     * @param {IGridRowProps} props
     */
    constructor(props: IGridRowProps);
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.10.2019]
     * @param {IBaseEvent} event
     */
    private onClick;
}
