"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var enhanced_generic_component_1 = require("../../base/enhanced-generic.component");
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var FlexLayout = /** @class */ (function (_super) {
    __extends(FlexLayout, _super);
    function FlexLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [11.09.2019]
     * @returns {JSX.Element}
     */
    FlexLayout.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", __assign({ ref: this.selfRef, className: util_1.joinClassName(util_1.calc(props.className), definition_1.FlexLayoutClassesEnum.FLEX, props.alignItemsCenter && definition_1.FlexLayoutClassesEnum.FLEX_ALIGN_ITEMS_CENTER, props.alignItemsEnd && definition_1.FlexLayoutClassesEnum.FLEX_ALIGN_ITEMS_END, props.alignItemsStart && definition_1.FlexLayoutClassesEnum.FLEX_ALIGN_ITEMS_START, props.alignItemsStretch && definition_1.FlexLayoutClassesEnum.FLEX_ALIGN_ITEMS_STRETCH, props.fullSize && definition_1.ComponentClassesEnum.FULL_SIZE, props.justifyContentCenter && definition_1.FlexLayoutClassesEnum.FLEX_JUSTIFY_CONTENT_CENTER, props.justifyContentEnd && definition_1.FlexLayoutClassesEnum.FLEX_JUSTIFY_CONTENT_END, props.noShrink && definition_1.FlexLayoutClassesEnum.FLEX_NO_SHRINK, props.wrap && definition_1.FlexLayoutClassesEnum.FLEX_WRAP, 
            /**/
            props.row ? 'rac-flex-row' : 'rac-flex-column', 
            /**/
            util_1.fullFlexClassName(props), // TODO
            props.justifyContentSpaceBetween && 'rac-flex-justify-content-space-between'), title: props.title, style: props.style }, util_1.handlerPropsFactory(props.onClick, !util_1.calc(props.disabled), props.touched)), props.children));
    };
    return FlexLayout;
}(enhanced_generic_component_1.EnhancedGenericComponent));
exports.FlexLayout = FlexLayout;
//# sourceMappingURL=flex-layout.component.js.map