"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var enhanced_generic_component_1 = require("../../base/enhanced-generic.component");
var definition_1 = require("../../../definition");
var BasicList = /** @class */ (function (_super) {
    __extends(BasicList, _super);
    function BasicList() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [04.05.2020]
     * @returns {JSX.Element}
     */
    BasicList.prototype.render = function () {
        var props = this.props;
        return (React.createElement("ul", { ref: this.actualRef, className: util_1.joinClassName(definition_1.ListClassesEnum.LIST, util_1.isFull(props) && definition_1.ListClassesEnum.FULL_LIST, util_1.calc(props.className)) }, props.children));
    };
    return BasicList;
}(enhanced_generic_component_1.EnhancedGenericComponent));
exports.BasicList = BasicList;
//# sourceMappingURL=basic-list.component.js.map