/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IToolbarToolsProps } from '../../definition';
/**
 * @component-impl
 * @stable [07.05.2020]
 *
 * Please use the "Mappers.toolbarToolsProps"
 */
export declare class ToolbarTools extends GenericComponent<IToolbarToolsProps> {
    static readonly defaultProps: IToolbarToolsProps;
    /**
     * @stable [03.04.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [07.05.2020]
     */
    private readonly defaultActions;
}
