"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var field_definition_interface_1 = require("./field-definition.interface");
var place_definition_interface_1 = require("./place-definition.interface");
var list_definition_interface_1 = require("./list-definition.interface");
var dom_definition_interface_1 = require("./dom-definition.interface");
var stack_definition_interface_1 = require("./stack-definition.interface");
var settings_definition_interface_1 = require("./settings-definition.interface");
/**
 * @stable [17.05.2020]
 */
var DefaultEntities = /** @class */ (function () {
    function DefaultEntities() {
    }
    DefaultEntities.COMPONENTS_SETTINGS_ENTITY = settings_definition_interface_1.DEFAULT_COMPONENTS_SETTINGS_ENTITY; /* @stable [21.05.2020] */
    DefaultEntities.DOM_RIGHT_POSITION_CONFIG_ENTITY = dom_definition_interface_1.DEFAULT_DOM_RIGHT_POSITION_CONFIG_ENTITY; /* @stable [21.05.2020] */
    DefaultEntities.INITIAL_REDUX_STACK_ENTITY = stack_definition_interface_1.INITIAL_REDUX_STACK_ENTITY; /* @stable [21.05.2020] */
    DefaultEntities.NOT_SELECTABLE_LIST_ENTITY = list_definition_interface_1.DEFAULT_NOT_SELECTABLE_LIST_ENTITY; /* @stable [19.05.2020] */
    DefaultEntities.PLACE_FIELD_ENTITY = place_definition_interface_1.DEFAULT_PLACE_FIELD_ENTITY; /* @stable [19.05.2020] */
    DefaultEntities.QUICK_SEARCH_FIELD_ENTITY = field_definition_interface_1.DEFAULT_QUICK_SEARCH_FIELD_ENTITY; /* @stable [17.05.2020] */
    DefaultEntities.ROOT_SECTION = 'root'; /* @stable [22.05.2020] */
    DefaultEntities.ZIP_CODE_FIELD_ENTITY = place_definition_interface_1.DEFAULT_ZIP_CODE_FIELD_ENTITY; /* @stable [17.05.2020] */
    return DefaultEntities;
}());
exports.DefaultEntities = DefaultEntities;
//# sourceMappingURL=default-definition.interface.js.map