"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var page_definition_interface_1 = require("./page-definition.interface");
/**
 * @stable [08.05.2020]
 */
exports.DEFAULT_DICTIONARY_PAGE_SIZE = 300;
/**
 * @initial-redux-entity
 * @stable [08.05.2020]
 */
exports.INITIAL_REDUX_DICTIONARIES_ENTITY = Object.freeze({});
/**
 * @stable [08.05.2020]
 */
exports.DICTIONARY_DESTROY_ACTION_TYPE = "dictionary.destroy";
exports.DICTIONARY_LOAD_ACTION_TYPE = "dictionary.load";
exports.DICTIONARY_SET_ACTION_TYPE = "dictionary.set";
/**
 * @stable [08.05.2020]
 */
var DictionariesEnum;
(function (DictionariesEnum) {
    DictionariesEnum["PLACES"] = "places";
})(DictionariesEnum = exports.DictionariesEnum || (exports.DictionariesEnum = {}));
/**
 * @default-entity
 * @stable [08.05.2020]
 */
exports.DEFAULT_DICTIONARY_PAGED_ENTITY = Object.freeze({
    page: page_definition_interface_1.FIRST_PAGE,
    pageSize: exports.DEFAULT_DICTIONARY_PAGE_SIZE,
});
//# sourceMappingURL=dictionary-definition.interface.js.map