"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var page_definition_interface_1 = require("./page-definition.interface");
/**
 * @classes
 * @stable [04.05.2020]
 */
var ListClassesEnum;
(function (ListClassesEnum) {
    ListClassesEnum["CARD"] = "rac-card";
    ListClassesEnum["CARD_LIST"] = "rac-card-list";
    ListClassesEnum["FULL_LIST"] = "rac-full-list";
    ListClassesEnum["LIST"] = "rac-list";
    ListClassesEnum["LIST_ITEM"] = "rac-list-item";
    ListClassesEnum["LIST_ITEM_CONTENT"] = "rac-list-item__content";
    ListClassesEnum["LIST_ITEM_DECORATED"] = "rac-list-item__decorated";
    ListClassesEnum["LIST_ITEM_HOVERED"] = "rac-list-item__hovered";
    ListClassesEnum["LIST_ITEM_ICON"] = "rac-list-item__icon";
    ListClassesEnum["LIST_ITEM_LAST"] = "rac-list-item__last";
    ListClassesEnum["LIST_ITEM_ODD"] = "rac-list-item__odd";
    ListClassesEnum["LIST_ITEM_SELECTABLE"] = "rac-list-item__selectable";
    ListClassesEnum["LIST_ITEM_SELECTED"] = "rac-list-item__selected";
    ListClassesEnum["LIST_ITEM_UNSELECTED"] = "rac-list-item__unselected";
})(ListClassesEnum = exports.ListClassesEnum || (exports.ListClassesEnum = {}));
/**
 * @stable [20.10.2019]
 */
exports.INITIAL_LIST_ENTITY = Object.freeze({
    changes: {},
    data: null,
    directions: {},
    lockPage: false,
    page: page_definition_interface_1.FIRST_PAGE,
    pageSize: page_definition_interface_1.DEFAULT_PAGE_SIZE,
    progress: false,
    rawData: null,
    selected: null,
    totalCount: 0,
    touched: false,
});
/**
 * @default-entity
 * @stable [04.05.2020]
 */
exports.DEFAULT_NOT_SELECTABLE_LIST_ENTITY = Object.freeze({
    hovered: false,
    selectable: false,
});
/**
 * @stable [30.03.2020]
 */
exports.LIST_CANCEL_LOAD_ACTION_TYPE = 'list.cancel.load';
exports.LIST_CREATE_ACTION_TYPE = 'list.create';
exports.LIST_SELECT_ACTION_TYPE = 'list.select';
//# sourceMappingURL=list-definition.interface.js.map