/**
 * @stable [16.05.2020]
 */
export declare enum RegexpEnum {
    DIGITAL = "[0-9]+",
    NUMBER = "[-+]?[0-9]*[.,]?[0-9]+",
    POSITIVE_NEGATIVE_PRICE = "[-+]?\\d+(\\.\\d{1,2})?",
    PRICE = "\\d+(\\.\\d{1,2})?"
}
/**
 * @stable [16.05.2020]
 */
export declare class RegexpConstants {
    static readonly DIGITAL: RegExp;
    static readonly NUMBER: RegExp;
    static readonly POSITIVE_NEGATIVE_PRICE: RegExp;
    static readonly PRICE: RegExp;
}
