"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [16.05.2020]
 */
var RegexpEnum;
(function (RegexpEnum) {
    RegexpEnum["DIGITAL"] = "[0-9]+";
    RegexpEnum["NUMBER"] = "[-+]?[0-9]*[.,]?[0-9]+";
    RegexpEnum["POSITIVE_NEGATIVE_PRICE"] = "[-+]?\\d+(\\.\\d{1,2})?";
    RegexpEnum["PRICE"] = "\\d+(\\.\\d{1,2})?";
})(RegexpEnum = exports.RegexpEnum || (exports.RegexpEnum = {}));
/**
 * @stable [16.05.2020]
 */
var RegexpConstants = /** @class */ (function () {
    function RegexpConstants() {
    }
    RegexpConstants.DIGITAL = new RegExp(RegexpEnum.DIGITAL);
    RegexpConstants.NUMBER = new RegExp(RegexpEnum.NUMBER);
    RegexpConstants.POSITIVE_NEGATIVE_PRICE = new RegExp(RegexpEnum.POSITIVE_NEGATIVE_PRICE);
    RegexpConstants.PRICE = new RegExp(RegexpEnum.PRICE);
    return RegexpConstants;
}());
exports.RegexpConstants = RegexpConstants;
//# sourceMappingURL=regexp-definition.interface.js.map