import { AnyAction, Reducer } from 'redux';
import { IEffectsAction } from 'redux-effects-promise';
import { IAsyncLibsEntity, IReduxDictionariesEntity, IReduxLayoutEntity, IGenericNotificationEntity, IReduxStackEntity } from '../definition';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    asyncLibs: (state: IAsyncLibsEntity, action: AnyAction) => IAsyncLibsEntity;
    dictionaries: (state: IReduxDictionariesEntity, action: IEffectsAction) => IReduxDictionariesEntity;
    permissions: (state: {}, action: AnyAction) => {};
    user: (state: {}, action: AnyAction) => {};
    layout: (state: IReduxLayoutEntity, action: AnyAction) => IReduxLayoutEntity;
    stack: (state: IReduxStackEntity, action: IEffectsAction) => IReduxStackEntity;
    notification: (state: IGenericNotificationEntity, action: IEffectsAction) => IGenericNotificationEntity;
};
