import { IReduxPaginatedEntity } from '../definition';
/**
 * @stable [05.05.2020]
 * @param {IReduxPaginatedEntity} entity
 * @returns {number}
 */
export declare const pageCursorFrom: (entity: IReduxPaginatedEntity) => number;
/**
 * @stable [05.05.2020]
 * @param {IReduxPaginatedEntity} entity
 * @returns {number}
 */
export declare const pageCursorTo: (entity: IReduxPaginatedEntity) => number;
/**
 * @stable [05.05.2020]
 * @param {IReduxPaginatedEntity} entity
 * @returns {number}
 */
export declare const pagesCount: (entity: IReduxPaginatedEntity) => number;
/**
 * @stable [05.05.2020]
 * @param {IReduxPaginatedEntity} entity
 * @returns {boolean}
 */
export declare const isPageCursorInEndPosition: (entity: IReduxPaginatedEntity) => boolean;
/**
 * @stable [05.05.2020]
 * @param {IReduxPaginatedEntity} entity
 * @returns {boolean}
 */
export declare const isPageCursorInStartPosition: (entity: IReduxPaginatedEntity) => boolean;
/**
 * @stable [05.05.2020]
 * @param {IReduxPaginatedEntity} entity
 * @returns {boolean}
 */
export declare const isPageable: (entity: IReduxPaginatedEntity) => boolean;
